# Snyk Code - Supported integrations

Snyk supports the integrations identified on this page.

{% hint style="info" %}
Snyk Code supports a wide range of languages. For details see [Snyk Code - Supported languages and frameworks](../../../scan-applications/snyk-code/snyk-code-language-and-framework-support.md).
{% endhint %}

## **IDE integrations**

* [JetBrains plugins](../../../integrations/ide-tools/jetbrains-plugins/)
* [Visual Studio Code extension](../../../integrations/ide-tools/visual-studio-code-extension/)
* [Visual Studio extension](../../../integrations/ide-tools/visual-studio-extension/)

## SCM integrations

### Repository monitoring

This integration allows you to:

* Manage Code Projects using your existing native import flow and tools.
* View and prioritize security issues found in your source code.
* Run a retest of a Project and see the historical snapshots of a Project.

### Supported SCMs

Snyk Code integrates with the following SCMs:

* [GitHub](https://docs.snyk.io/integrations/git-repository-scm-integrations/github-integration)
* [GitHub Enterprise](https://docs.snyk.io/integrations/git-repository-scm-integrations/github-enterprise-integration)
* [Bitbucket Data Center/Server](https://docs.snyk.io/integrations/git-repository-scm-integrations/bitbucket-data-center-server-integration)
* [Bitbucket Cloud](https://docs.snyk.io/integrations/git-repository-scm-integrations/bitbucket-cloud-integration)
* [Azure Repos](https://docs.snyk.io/integrations/git-repository-scm-integrations/azure-repos-integration)
* [GitLab](https://docs.snyk.io/integrations/git-repository-scm-integrations/gitlab-integration)

{% hint style="info" %}
Snyk Code analysis can be applied to every pull request you create in your SCM before you merge it into the target branch. For more information, see [PR Checks](../../run-pr-checks/)
{% endhint %}

## CLI and CI/CD integrations

[Using the CLI ](../using-snyk-code-from-the-cli/)helps you find and fix security flaws in your code on your local machine or in your CI/CD.

## APIs and extensibility

You can query Code Projects and issues using the [Snyk REST API](https://apidocs.snyk.io/#overview).

## Notification integration

You can connect Snyk Code with your J[ira instance](../../../integrations/notifications-ticketing-system-integrations/jira.md), allowing developers to export data to Jira issues easily.

